Bug 97164 - Installer exits abnormallywith device line in ks.cfg
Installer exits abnormallywith device line in ks.cfg
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-10 23:02 EDT by Mike Smith
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:26:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Smith 2003-06-10 23:02:01 EDT
Description of problem:
With Red Hat 9 changing the boot disks, I've had to modify the bootdisk.img to 
allow for network drivers. Simple enough tear down the initrd.img and 
modules.cgz then put it all back together after adding the drivers and 
updating pcitable, module-info and modules.dep.

 Ok so I boot with 'linux ks=floppy'. With the following line in the ks.cfg, 
the installer bombes out. 

device eth 3c59x

However if I remove the line, then I get prompted to select the driver and the 
install continues on and works fine.

 Not sure what else I can provide. Here's the contents of ks.cfg.

install
lang en_US.UTF-8
langsupport --default en_US.UTF-8 en_US.UTF-8
keyboard us
mouse genericwheelps/2 --device psaux
skipx
device eth 3c59x
network --device eth0 --bootproto=static --ip=192.168.1.242 --
netmask=255.255.255.0 --gateway=192.168.1.1 --nameserver=192.168.1.1
url --url ftp://192.168.1.39/redhat/linux/9/en/os/i386
rootpw --iscrypted $1$ThisIsNotMyRealCryptedPW/
authconfig --enableshadow --enablemd5
timezone America/Chicago
bootloader --location=mbr
# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work
clearpart --linux 
part /boot --fstype ext3 --size=100 
part / --fstype ext3 --size=700 --grow 
part swap --size=256 

%packages
@ Development Tools
@ Dialup Networking Support
@ FTP Server
@ System Tools
@ Text-based Internet

%post

How reproducible: 
Every Time


Steps to Reproduce:
1. Rebuild initrd.img to include your network driver and update the pcitable, 
modules.dep, and module-info
2. add 'device eth 3c59x' or whatever you driver is to ks.cfg
3. watch it crash when it attempts to load drivers
        
Actual results:
Installer exits abnormally with signal 11 received.


Expected results:
Load the driver and continue the install

Additional info:
This is a show stopper for me and I know a lot of other people. What good is a 
kickstart function if you can't automate with net drivers?

 Please let me know what else I should provide.

 -Mike
Comment 1 Mike Smith 2003-06-12 10:14:28 EDT
Update on this....If you add --opts=0 to the device line, then all works well. 
I'm still not sure why the installer isn't picking up the nic card on a probe. 
After the build, it has NO problem seeing the card and the module is loaded 
just fine.
Comment 2 Mike Smith 2003-06-13 15:38:38 EDT
Go ahead and close this if ya like. There is still a problem I believe with 
the lack of --opts on the device line causing a complete bail out. 

 I don't need the device line any more. Can you say TABS instead of SPACES in 
pcitable :)

 
Comment 3 Michael Fulbright 2003-06-19 14:52:33 EDT
Ok good to hear its working.

Jeremy - shouldnt our parsing be more robust against this type of failure?
Comment 4 Jeremy Katz 2003-06-29 17:54:55 EDT
Fixed in CVS
Comment 5 Jeremy Katz 2006-04-24 14:26:46 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.